[Testing] Simple Emby Server installer


#21

Please don’t upload PDF files to the forum.

Use the official log uploader. It encourages more people to view your log as they don’t have to download a file.


#22

It seem’s a access problem but I can’t figure a fix. :frowning:
Noob question: where does the installer installs the Emby Server? I’m looking for the config file that should be in /etc/emby-server.conf so I can try this solution from:

“…By default, Emby-Server runs under the user emby. It is highly unlikely that user emby will have read and write permissions to your media directories. This issue can be addressed in one of two ways. One, you can adjust the user Emby server runs as. You can do this by adjusting the conf file which can be found in /etc/emby-server.conf…”

2016-12-27 16:14:40.6965 Error HttpServer: Error processing request
*** Error Report ***
Version: 3.1.1.0
Command line: /opt/mediabrowser/MediaBrowser.Server.Mono.exe -ffmpeg /usr/local/share/man/man1/ffmpeg.1 -ffprobe /usr/local/share/man/man1/ffprobe.1
Operating system: Unix 4.4.27.5
64-Bit OS: False
64-Bit Process: False
Mono: 4.6.2 (Stable 4.6.2.7/08fd525 Mon Nov 21 12:20:54 UTC 2016)
Processor count: 4
Program data path: /opt/mediabrowser/ProgramData-Server
Application directory: /opt/mediabrowser
System.ComponentModel.Win32Exception (0x80004005): ApplicationName=’/usr/local/share/man/man1/ffmpeg.1’, CommandLine=’-fflags +genpts -i file:"/home/osmc/mnt/Series Temp/Scandal (2012)/Season 01/Scandal.2012.S01E01.720p.WEB.DL-SickRage.mkv" -map_metadata -1 -map_chapters -1 -threads 0 -sn -codec:v:0 libx264 -pix_fmt yuv420p -preset veryfast -crf 23 -tune zerolatency -b:v 145262546 -maxrate 145262546 -bufsize 290525092 -vsync -1 -profile:v high -level 4.1 -force_key_frames “expr:gte(t,n_forced*3)” -flags -global_header -fflags +genpts -sc_threshold 0 -codec:a:0 aac -strict experimental -ac 6 -ab 192000 -af “adelay=1,aresample=async=1” -hls_time 3 -start_number 0 -hls_list_size 0 -hls_base_url “hls/88c709107e343bd0cb10105cf7885e9e/” -y “/opt/mediabrowser/ProgramData-Server/transcoding-temp/88c709107e343bd0cb10105cf7885e9e.m3u8”’, CurrentDirectory=’’, Native error= Access denied


#23

Just to help others that are experiencing the same situation, it seems as a ffmepg codec problem.
I follow this gude and was able to get it running.

https://gist.github.com/ocReaper/00b854e8d096479e86592fad0ccc5362

Keep in mind that the emby configuration file is found in /etc/init.d/emby instead of /usr/bin/emby-server.


#24

@dougiefresh,

What version of sqlite3 does it install? My log is showing Sqlite version: 3.8.7 which is an very old version.

My server is stuck whenever scanning the library and it simply crashes the pi3. I lose even the ssh connection. Emby developer Luke said it might be due to the old sqlite version.
I tried updating it via sudo apt-get upgrade sqlite command but Emby still runs using the old 3.8.7 version.

Can you help me on how to update that?
Tks

https://emby.media/community/index.php?/topic/43152-scan-media-library-stuck-at-754/page-2


#25

Hi there. New to Linux, alas, but I’ve got a ffmpeg problem with the package, too, detailed in this thread (with logs): https://emby.media/community/index.php?/topic/43269-video-playback-stalls-in-web-inferface-running-server-off-raspberry-pi-3/#entry406350

In short, installed on a Raspberry Pi 3 with a 4TB USB drive attached (where the videos are) and a 16GB SD card. Also running Kodi from there, which functions perfectly, wired and wirelessly. Using the browser interface (Chrome/Safari, fully updated) on 2 PCs (Windows 10) and 2 iPads (not at the same time) gets the same results: click on a video, it “thinks” for a bit, then the thinking stops and nothing happens.

Could anyone guide me towards getting ffmpeg working again? Thanks.


#26

@Diego_Karaski : Okay, I’ve got the fix you mentioned integrated into the script. I need to test it before I release the code.

I’m not sure about what version of SQLite3 it installs. I found the source at https://sqlite.org/download.html and we might be able to compile it for the “latest” version. I would assume that it needs to be tested first…


#27

Uploaded v1.0 - March 2nd, 2017
o Added code to compile and install x264 code before compiling ffmpeg
o Modified ffmpeg compilation code to enable x264 and mp3lame libraries.
o Modified script so that correct folder is used when updating script.
o Modified service script to run Emby server under root user.
o Fixed coding issues in the service-building function.
o Fixed dialog box stating what version Emby the script is downloading.
o Fixed linux debian version checking code for Mono installation.
o Fixed special upgrade case where Emby install folder had been removed.
o Removed automatic installation of Emby plugins under Kodi (keeps repository)
o Removed internal release v0.9 changes for download ffmpeg/x264.


#28

@dougiefresh,

I wonder if this script works in RPI 2, because I tried to run the script and is not working:

Archive: /tmp/repository.emby.kodi-1.0.3.zip
inflating: repository.emby.kodi/addon.xml
inflating: repository.emby.kodi/icon.png
inflating: repository.emby.kodi/README.md
osmc@osmc:~$ ls /tmp
osmc@osmc:~$

Only happen KODI gets restored and script is exit. This is a fresh installation with newer script.

thanks


#29

Whoops! Sorry about that! I forgot to uncomment the lines I commented out during my testing of the v1.0 script. The v1.1 script is now available on GitHub…


#30

@dougiefresh,

thanks, script now runs well, but emby is not running:

osmc@osmc:~$ service emby status

  • emby.service - LSB: emby
    Loaded: loaded (/etc/init.d/emby)
    Active: active (exited) since Sun 2017-03-12 21:53:02 CST; 1min 22s ago
    Process: 282 ExecStart=/etc/init.d/emby start (code=exited, status=0/SUCCESS)

Also I saw some warning, but no idea where logs are.

thanks


#31

I realized that I couldn’t run your script because I didn’t have the make function enable and I was able to do so running: apt-get install build-essential.


#32

I’ve gotten the script to run on my RPi, but Emby won’t stay running and I can’t figure out why… I guess this topic should be changed to [BROKEN] as well…


#33

Only if it’s broken for others.
Some logs might help people.


#34

Your suggesting to put this to Broken as this won’t be fixed? I loved using this script to upgrade my emby on RPI3 now unfortunately I also tried upgrading to latest version using the script and failed. Also the new script is failing in the end.


#35

If you want to fork the project and continue my work, I give you permission to do so… I have switched to Raspbian and am trying to make Kodi work on it, along with the rest of the software I had on OSMC. I won’t be developing this script anymore, partly as I am fed up with Emby crashing all the time, but mostly that I have switched to Raspbian…


#36

I am picking up this script again, as I figured out why Emby wouldn’t launch for me with the version 1.1 script (it was in the fix_config function…). I also have come across some webpages that suggest that programs on the Raspberry Pi would simply crash with no warning if there wasn’t enough memory/swapfile to handle the memory requests. I think I can come up with a solution there, as well…

I’m working on a revised version of the script, that hopefully should be out shortly…


#37

Hi, do you have a working version now?


#38

Cheers, everyone.

Looking into Emby server on Raspberry Pi and OSMC brought me here; any news on the status of the script?


#39

status is “try it” see if it works if it doesnt then post the results :slight_smile:


#40

Hy Guys!

Looking for this script, but the github repo is gone, does anyone have it?
I would try to fix the issues and make this work or do you know a better alternative ?

Bests